> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data assets by a list of DARNs

> Get data assets by a list of DARNs



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/data-assets/bulk
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/data-assets/bulk:
    get:
      tags:
        - data-asset
      summary: Get data assets by a list of DARNs
      description: Get data assets by a list of DARNs
      operationId: getDataAssetsByDarns
      parameters:
        - name: darns
          in: query
          description: List of Data Asset Resource Names to fetch
          required: true
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
            minItems: 1
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 1000
          description: Maximum number of results to return (default is 1000)
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            default: 0
          description: Number of results to skip (default is 0)
      responses:
        '200':
          description: Data assets with status information for each DARN
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDataAssetsByDarnsResponsePaginated'
        '400':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetDataAssetsByDarnsResponsePaginated:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/GetDataAssetsByDarnsResponse'
        totalCount:
          type: integer
          description: Total number of results available
        limit:
          type: integer
          description: Maximum number of results per page
        offset:
          type: integer
          description: Number of results skipped
      required:
        - data
        - totalCount
        - limit
        - offset
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
    GetDataAssetsByDarnsResponse:
      type: array
      items:
        type: object
        required:
          - darn
          - status
        properties:
          darn:
            type: string
            description: The Data Asset Resource Name that was requested
          status:
            type: string
            enum:
              - success
              - not_found
              - error
            description: The status of fetching this particular asset
          data:
            $ref: '#/components/schemas/DataAssetSearchResult'
            description: The asset data (only present when status is 'success')
          errorMessage:
            type: string
            description: Error message (only present when status is 'error' or 'not_found')
    DataAssetSearchResult:
      DataAssetSearchResult: null
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier for the data asset.
        dataAssetResourceName:
          $ref: '#/components/schemas/DataAssetResourceName'
        domain:
          description: >-
            The domain to which the data asset belongs. Previously referred to
            as "namespace."
          type: string
        path:
          description: >-
            The name or path identifying the data asset. Previously referred to
            as "name."
          type: string
        type:
          $ref: '#/components/schemas/SourceType'
        contractId:
          description: The contract ID associated with the data asset.
          type: string
        updatedAt:
          type: string
          format: date-time
          description: The timestamp of the most recent update to the data asset.
      required:
        - id
        - dataAssetResourceName
        - domain
        - path
        - type
        - updatedAt
    DataAssetResourceName:
      type: string
      pattern: >-
        ^(protobuf|avro|json_schema|java|postgres|mysql|mssql|snowflake|bigquery|python|pyspark|typescript|s3|dataframe|kotlin|swift|php)://(?=.*[a-zA-Z0-9])[a-zA-Z0-9_@\.:/-]+[:/](?=.*[a-zA-Z0-9])[a-zA-Z0-9
        _\./-\{\}\-]+$
      description: >-
        The unique identifier of the data asset. It follows the pattern
        '{data_asset_type}://{data_asset_source}:{data_asset_name}'
    SourceType:
      type: string
      description: >-
        The type of the source data asset, indicating its source or format
        (e.g., postgres, protobuf).
      enum:
        - postgres
        - mysql
        - mssql
        - json_schema
        - avro
        - protobuf
        - python
        - pyspark
        - typescript
        - java
        - s3
        - dataframe
        - kotlin
        - swift
        - php
        - golang
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````